import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconEnvelopeFilledCss = ".sc-digi-icon-envelope-filled-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-envelope-filled-h svg.sc-digi-icon-envelope-filled{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconEnvelopeFilledStyle0 = iconEnvelopeFilledCss;

const IconEnvelopeFilled = /*@__PURE__*/ proxyCustomElement(class IconEnvelopeFilled extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    render() {
        return (h("svg", { key: '0ca35d1e050cc4a17a673a159ce68548718ce1da', class: "digi-icon-envelope-filled", width: "25", height: "19", viewBox: "0 0 25 19", xmlns: "http://www.w3.org/2000/svg", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined }, this.afTitle && h("title", { key: '497e2df2650ebdafd6a3c65491b79437878a02d0', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: '84b91e4b2d807787a15dee33c90289ad0ba40e13' }, this.afDesc), h("path", { key: 'c4fd3147adac3d3ec33f5d2920a944d85ba1d0eb', class: "digi-icon-envelope-filled__shape", fill: "currentColor", d: "M25 16.63V6.51a.28.28 0 00-.06-.18.29.29 0 00-.41 0c-1.1.86-2.54 2-7.52 5.62-1 .74-2.78 2.35-4.51 2.36S9 12.67 8 11.9C3 8.28 1.57 7.14.47 6.28a.26.26 0 00-.19-.06.28.28 0 00-.28.3v10.11A2.36 2.36 0 002.35 19h20.28A2.36 2.36 0 0025 16.63z" }), h("path", { key: '0f9a0a8a024e5c3f70400c2a7d5cf34ed3fc8f4f', class: "digi-icon-envelope-filled__shape", fill: "currentColor", d: "M2.35 0A2.37 2.37 0 000 2.38v.94a1.2 1.2 0 00.45.93c1.49 1.19 2 1.61 8.47 6.37.82.61 2.45 2.07 3.58 2.05s2.77-1.44 3.59-2.05c6.47-4.76 7-5.18 8.46-6.37a1.14 1.14 0 00.45-.93v-.94A2.36 2.36 0 0022.66 0H2.35z" })));
    }
    static get style() { return DigiIconEnvelopeFilledStyle0; }
}, [2, "digi-icon-envelope-filled", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-envelope-filled"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-envelope-filled":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconEnvelopeFilled);
            }
            break;
    } });
}

const DigiIconEnvelopeFilled = IconEnvelopeFilled;
const defineCustomElement = defineCustomElement$1;

export { DigiIconEnvelopeFilled, defineCustomElement };
